if (document.getElementById)
{
  isID = 1;
  isDHTML = 1;
}else
{
  if (document.all)
  {
    isAll   = 1;
    isDHTML = 1;
  }else
  {
    browserVersion = parseInt(navigator.appVersion);
    if ((navigator.appName.indexOf('Netscape') != -1) &&
        (browserVersion == 4))
    {
      isNS     = 1;
      isLayers = 1;
      isDHTML  = 1;
    }// End if ((navigator.appName.indexOf('Netscape') != -1) &&
  }// End if (document.all)
}// End if (document.getElementById)
if (navigator.appName.indexOf('Microsoft Internet Explorer') != -1)
{
  isIE = 1;
}// End if (navigator.appName.indexOf('Microsoft Internet Explorer') != -1)


function findDOM(objectID,withStyle,frameName)
{
  if (withStyle == 1)
  {
	  if (isID)
    {
      if( frameName == null )
      {
        //alert('Null');
        return (document.getElementById(objectID).style);
      }else
      {
        //alert('notNull');
        return (top[frameName].document.getElementById(objectID).style);
      }
    }else
    {
		  if (isAll)
      {
        return (document.all[objectID].style);
      }else
      {
			  if (isLayers)
        {
          return (document.layers[objectID]);
        }// End if (isLayers)
		  }// End if (isAll)
    }// End if (isID)
  }else
  {
		if (isID)
    {
      if( frameName == null )
      {
        return (document.getElementById(objectID));
      }else
      {
        //alert('notNull');
        return (top[frameName].document.getElementById(objectID));
      }
    }else
    {
		  if (isAll)
      {
        return (document.all[objectID]);
      }else
      {
			  if (isLayers)
        {
          return (document.layers[objectID]);
        }// End if (isLayers)
		  }// End if (isAll)
    }// End if (isID)
	}// End if (withStyle == 1)
}// End function findDOM(objectID,withStyle)


function getTOP( objDOM )
{
  var top = 0;
  
  if (objDOM.left)
    top = objDOM.top;
  else  
    if (objDOM.pixelTop)
      top = objDOM.pixelTop;
    else
      if (objDOM.offsetTop)  
        top = objDOM.offsetTop;
      else
        top = '1';  
  return parseInt(top);
}

function getLEFT( objDOM )
{
  var left = 0;
  
  if (objDOM.left)
    left = objDOM.left;
  else  
    if (objDOM.pixelLeft)
      left = objDOM.pixelLeft;
    else
      if (objDOM.offsetLeft)  
        left = objDOM.offsetLeft;
      else
        left = '0';  
  return parseInt(left);
}


function getWIDTH( objDOM )
{
  var width = 0;
  
  if (objDOM.width)
    width = objDOM.width;
  else  
    if (objDOM.pixelWidth)
      width = objDOM.pixelWidth;
    else
      if (objDOM.offsetWidth)  
        width = objDOM.offsetWidth;
      else
        width = '0';  
  return parseInt(width);
}
function getHEIGHT( objDOM )
{
  var height = 0;
  
  if ( objDOM.height )
    height = objDOM.height;
  else  
    if ( objDOM.pixelHeight )
      height = objDOM.pixelHeight;
    else
      if ( objDOM.offsetHeight )  
        height = objDOM.offsetHeight;
      else
        height = '1';  
  return parseInt( height );
}

function set_POS_RAD( incX, incY )
{
  
  topRAD  = getTOP( box_RAD_LT );
  leftRAD = getLEFT( box_RAD_LT );
  newX_ = parseInt(leftRAD) + parseInt(incX);
  newY_ = parseInt(topRAD)  + parseInt(incY);
  box_RAD_LT.style.left = newX_+'px';
  box_RAD_LT.style.top  = newY_+'px';
  
  topRAD  = getTOP( box_RAD_LM );
  leftRAD = getLEFT( box_RAD_LM );
  newX_ = parseInt(leftRAD) + parseInt(incX);
  newY_ = parseInt(topRAD)  + parseInt(incY);
  box_RAD_LM.style.left = newX_+'px';
  box_RAD_LM.style.top  = newY_+'px';
  
  topRAD  = getTOP( box_RAD_LB );
  leftRAD = getLEFT( box_RAD_LB );
  newX_ = parseInt(leftRAD) + parseInt(incX);
  newY_ = parseInt(topRAD)  + parseInt(incY);
  box_RAD_LB.style.left = newX_+'px';
  box_RAD_LB.style.top  = newY_+'px';
  
  topRAD  = getTOP( box_RAD_RT );
  leftRAD = getLEFT( box_RAD_RT );
  newX_ = parseInt(leftRAD) + parseInt(incX);
  newY_ = parseInt(topRAD)  + parseInt(incY);
  box_RAD_RT.style.left = newX_+'px';
  box_RAD_RT.style.top  = newY_+'px';
  
  topRAD  = getTOP( box_RAD_RM );
  leftRAD = getLEFT( box_RAD_RM );
  newX_ = parseInt(leftRAD) + parseInt(incX);
  newY_ = parseInt(topRAD)  + parseInt(incY);
  box_RAD_RM.style.left = newX_+'px';
  box_RAD_RM.style.top  = newY_+'px';
  
  topRAD  = getTOP( box_RAD_RB );
  leftRAD = getLEFT( box_RAD_RB );
  newX_ = parseInt(leftRAD) + parseInt(incX);
  newY_ = parseInt(topRAD)  + parseInt(incY);
  box_RAD_RB.style.left = newX_+'px';
  box_RAD_RB.style.top  = newY_+'px';
  
  topRAD  = getTOP( box_RAD_TM );
  leftRAD = getLEFT( box_RAD_TM );
  newX_ = parseInt(leftRAD) + parseInt(incX);
  newY_ = parseInt(topRAD)  + parseInt(incY);
  box_RAD_TM.style.left = newX_+'px';
  box_RAD_TM.style.top  = newY_+'px';
  
  topRAD  = getTOP( box_RAD_BM );
  leftRAD = getLEFT( box_RAD_BM );
  newX_ = parseInt(leftRAD) + parseInt(incX);
  newY_ = parseInt(topRAD)  + parseInt(incY);
  box_RAD_BM.style.left = newX_+'px';
  box_RAD_BM.style.top  = newY_+'px';
  
}
